Bug 462069 - samba read only bug with excel on file system with extended ACLs
samba read only bug with excel on file system with extended ACLs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.2
All Linux
medium Severity high
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 08:25 EDT by dijuremo
Modified: 2010-10-23 00:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-26 10:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dijuremo 2008-09-12 08:25:48 EDT
Description of problem:
A user tries to modify and excel file in the samba server which is not owned by him. After opening the file and trying to save it, the user gets a message saying that the file is read only.  The onwnership of the file has changed to that user, but the read-only check box becomes checked while looking at the file from a windows machine and also the permissions for the user now owning the file are read only.

This bug was fixed in Samba 3.0.26 or 3.0.26a but seems to have been re-introduced in 3.0.28.


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Bob creates and excel files and saves it to the samba server.
2. Alice opens the file (currently not in use by Bob). When Alice hits save from excel, excel complains the file is read only. The only option Alice has now is to "Save As" and create a second file.

According to one of the samba lead developers, this bug has been definitively fixed in samba 3.0.31

http://lists-archives.org/samba/39377-sles10-sp1-3-0-28-excel-files-set-read-only-after-recent-updates.html
Comment 1 KNMI 2009-08-31 05:13:50 EDT
We are still running into this problem on Samba 3.0.33 !

Any updates on this ? Proof:

User wwwtest1 creates wwwtest1.xls and exits Excel.

[root@bvlwni01 mapje]# ls -ltr
total 48
-rwxrwxr--+ 1 kalle    domain users 13824 Jul 22 14:24 test.xls
-rwxrwxr--+ 1 wwwtest1 domain users 14336 Aug 31 09:06 wwwtest1.xls

User wwwtest2 opens wwwtest1.xls and saves it. It saves ok but now the file has become read-only, causing an error when somebody wants to edit it again.

[root@bvlwni01 mapje]# ls -ltr
total 48
-rwxrwxr--+ 1 kalle    domain users 13824 Jul 22 14:24 test.xls
-r--rwxr--+ 1 wwwtest2 domain users 14336 Aug 31 09:08 wwwtest1.xls
[root@bvlwni01 mapje]# rpm -qa | grep samba
samba-3.0.33-3.7.el5_3.1
samba-common-3.0.33-3.7.el5_3.1
Comment 2 dijuremo 2009-08-31 09:00:49 EDT
KNMI,

I pretty much gave up on RedHat to fix this bug. It is so important for a samba file server to be able to share excel files and this has not been touched in almost one year...

In any case, your best bet is to download and build samba yourself. I have had good luck with the 3.3.x series using the included makerpm.sh script. 

You do need to modify the spec file as one of the package dependencies has a slightly different name in RHEL5. You may take a look at:

https://bugzilla.samba.org/show_bug.cgi?id=6144

It should go like this:

1. Download the latest 3.3.x series (3.4.x fails to build on RHEL4 and RHEL5 at the moment, so stick to 3.3.x).

wget http://samba.org/samba/ftp/stable/samba-3.3.7.tar.gz

2. cd /tmp and extract the contents

tar -xzf samba-3.3.7.tar.gz

3. Modify the spec file prior to building.

cd samba-3.3.7/packaging/RHEL

perl -pi -e 's/keyutils-devel/keyutils-libs-devel/' samba.spec

4. Build the rpms

sh makerpms.sh

5. Install the rpms and enjoy.

If you do not want to compile your own, you can also download from:

http://enterprisesamba.com/index.php?id=65

However, their rpms are built Fedora core style, where they break the binaries into several packages.
Comment 3 KNMI 2009-08-31 09:16:09 EDT
Hi,

I have created a support request for this issue with RedHat. I appreciate your info on building a custom Samba but prefer an updated RPM from them, as we are using Samba in a cluster configuration.

Thanks !

Kind regards,

Jasper Spit
KNMI
Comment 4 Simo Sorce 2009-08-31 09:26:30 EDT
(In reply to comment #1)
> We are still running into this problem on Samba 3.0.33 !
> 
> Any updates on this ? Proof:
> 
> User wwwtest1 creates wwwtest1.xls and exits Excel.
> 
> [root@bvlwni01 mapje]# ls -ltr
> total 48
> -rwxrwxr--+ 1 kalle    domain users 13824 Jul 22 14:24 test.xls
> -rwxrwxr--+ 1 wwwtest1 domain users 14336 Aug 31 09:06 wwwtest1.xls
> 
> User wwwtest2 opens wwwtest1.xls and saves it. It saves ok but now the file has
> become read-only, causing an error when somebody wants to edit it again.
> 
> [root@bvlwni01 mapje]# ls -ltr
> total 48
> -rwxrwxr--+ 1 kalle    domain users 13824 Jul 22 14:24 test.xls
> -r--rwxr--+ 1 wwwtest2 domain users 14336 Aug 31 09:08 wwwtest1.xls
> [root@bvlwni01 mapje]# rpm -qa | grep samba
> samba-3.0.33-3.7.el5_3.1
> samba-common-3.0.33-3.7.el5_3.1  


KNMI we believe this is solved in the latest RHEL 5 an d RHEL 4 packages, at least using EAs to store dos attributes.
Can you provide your smb.conf ?
Comment 5 KNMI 2009-08-31 10:00:25 EDT
We are running the latest Samba packages on RHEL 5.3 so it does not seem to be fixed. I can provide smb.conf but would rather attach it to the service request I created (#1948038) if that is OK with you.
Comment 6 dijuremo 2009-09-04 11:24:46 EDT
Until they get it fixed, have you tried this workaround:

http://lists.samba.org/archive/samba/2006-October/126653.html

Diego
Comment 7 Simo Sorce 2009-09-04 11:32:06 EDT
KNMI please contact support, this issue has been fixed in RHEL 5.4 packages.
Support will be able to direct you to get the new packages.
Comment 8 dijuremo 2009-09-04 11:37:53 EDT
And for the rest of us, mortals who have a satellite server but no support contract when will these new packages be available?
Comment 9 Justin Payne 2009-09-04 11:55:09 EDT
If you have a satellite server and your satellite contract is up to date, all you have to do us sync the satellite. The packages for 5.4 are available on RHN.
Comment 10 KNMI 2009-09-07 07:27:50 EDT
fyi, the 5.4 packages do not solve this issue.
Comment 11 Justin Payne 2009-09-21 13:03:39 EDT
(In reply to comment #8)
> And for the rest of us, mortals who have a satellite server but no support
> contract when will these new packages be available?  

Have you tested the packages from 5.4?
Comment 12 dijuremo 2009-09-21 13:21:12 EDT
(In reply to comment #11)
> (In reply to comment #8)
> > And for the rest of us, mortals who have a satellite server but no support
> > contract when will these new packages be available?  
> 
> Have you tested the packages from 5.4?  

As you can see, my original posting was from a year ago. At the time, I had to move to the latest version of samba compiled by myself, so I have no longer any interest in trying to go down to a 3.0.x version. This situation is reinforced by the fact that we already have copies of Windows 7 Enterprise which do not work correctly with the 3.0.x series (domain join problems), but that is another issue.

For what is worth, I did not see this problem in the vanilla samba 3.3.5 series, so you may want to try the samba3x packages from RHEL5.4 as opposed to the plain samba packages....

samba3x.x86_64 : Server and Client software to interoperate with Windows machines
samba3x-client.x86_64 : Samba client programs
samba3x-common.x86_64 : Files used by both Samba servers and clients
samba3x-doc.x86_64 : Documentation for the Samba suite
samba3x-domainjoin-gui.x86_64 : Domainjoin GUI
samba3x-swat.x86_64 : The Samba SMB server Web configuration program
samba3x-winbind.x86_64 : Samba winbind
samba3x-winbind-devel.x86_64 : Developer tools for the winbind library

The version for those is 3.3.5 so that should work fine. However, there may be changes going from 3.0.x to the 3.3.x series that may completely screw up your file permissions if you are using winbind, so be careful.
Comment 13 Dmitri Pal 2010-04-26 10:50:49 EDT
Addressed in samba3x package.

Note You need to log in before you can comment on or make changes to this bug.